{% extends "base.html" %}

{% block styles %}
<link rel="stylesheet" href="{{url_for('static',filename='css/connected.css')}}">
{% endblock %}

{% block body %}

<body class="d-flex">
    <div class="d-flex flex-grow-1" id="wrapper">
        {% include "components/sidebar.html" %}
        <div class="d-flex flex-grow-1 flex-fill page-content-wrapper" id="divMain">
            <div class="container-fluid">
                {%include "components/navbar.html" %}
                <div style="background: rgb(20,20,20);">
                    <form style="margin-bottom: 1em;" method=GET action="/connected/recherche/"><span
                            class="d-flex align-items-center justify-content-xl-start" style="margin-right: 50%;"><input
                                class="form-control" type="search"
                                placeholder="Recherchez un artiste, un titre ou un album" name="args"><button
                                class="btn btn-light" type="submit"><i class="fa fa-search"></i></button></span></form>
                    {% if recherche %}
                    <div class="row">
                        <div class="col-md-12">
                            <h1 class="text-white">Titres</h1>
                            <div class="text-white">
                                <ul class="list-inline">
                                    {% for i in range(len(tracks)) %}
                                    {% set artiste = funcArtist(tracks[i].auteur_id) %}
                                    <li class="list-inline-item" style="padding-bottom:0.5em;">
                                        <a class="text-white" href="/connected/album/{{tracks[i].album_id}}">
                                            <div class="card bg-dark" data-bs-hover-animate="pulse"
                                                title="{{tracks[i].titre}} - {{artiste.nom}}">
                                                <div class="card-body" style="filter: grayscale(0%) hue-rotate(0deg);width: 12.5em;
                                                            height: 15em;"><img src="{{tracks[i].urlImage}}"
                                                        style="width: 150px;height: auto;">
                                                    <p class="text-center card-text">
                                                        {{tracks[i].titre}}<br>{{artiste.nom}}<br>
                                                    </p>
                                                </div>
                                            </div>
                                        </a>
                                    </li>
                                    {% endfor %}
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <h1 class="text-white">Albums</h1>
                            <div class="text-white">
                                <ul class="list-inline">
                                    {% for i in range(len(albums)) %}
                                    {% set artiste = funcArtist(albums[i].auteur_id) %}
                                    <li class="list-inline-item" style="padding-bottom:0.5em;">
                                        <a class="text-white" href="/connected/album/{{albums[i].id}}">
                                            <div class="card bg-dark" data-bs-hover-animate="pulse"
                                                title="{{albums[i].titre}} - {{artiste.nom}}">
                                                <div class="card-body" style="filter: grayscale(0%) hue-rotate(0deg);width: 12.5em;
                                                            height: 15em;"
                                                    title="{{albums[i].titre}} - {{artiste.nom}}"><img
                                                        src="{{albums[i].urlImage}}" style="width: 150px;height: auto;">
                                                    <p class="text-center card-text">
                                                        {{albums[i].titre}}<br>{{artiste.nom}}<br>
                                                    </p>
                                                </div>
                                            </div>
                                        </a>
                                    </li>
                                    {% endfor %}
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <h1 class="text-white">Artistes</h1>
                            <div class="text-white">
                                <ul class="list-inline">
                                    {% for i in range(len(artistes)) %}
                                    <li class="list-inline-item" style="padding-bottom:0.5em;">
                                        <a class="text-white" href="/connected/artiste/{{artistes[i].id}}">
                                            <div class="card bg-dark" data-bs-hover-animate="pulse">
                                                <div class="card-body" style="filter: grayscale(0%) hue-rotate(0deg);width: 10em;
                                            height: 5em;">
                                                    <p class="text-center card-text" style="text-overflow: ellipsis;">
                                                        {{artistes[i].nom}}<br></p>
                                                </div>
                                            </div>
                                        </a>
                                    </li>
                                    {% endfor %}
                                </ul>
                            </div>
                        </div>
                    </div>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
    {% block script %}
    <script src="{{url_for('static',filename='js/jquery.min.js')}}"></script>
    <script src="{{url_for('static',filename='bootstrap/js/bootstrap.min.js')}}"></script>
    <script src="{{url_for('static',filename='js/bs-init.js')}}"></script>
    <script src="{{url_for('static',filename='js/-Fixed-Navbar-start-with-transparency-background-BS4-.js')}}">
    </script>
    <script src="{{url_for('static',filename='js/Sidebar-Menu.js')}}"></script>
    <script>
        // When the user clicks on div, open the popup
        function fonctionPopUp() {
            var popup = document.getElementById("myPopup");
            popup.classList.toggle("show");
        }

        function fonctionRecherche() {
            var popup = document.getElementById("myPopupRecherche");
            popup.classList.toggle("show");
        }
    </script>
    {% endblock %}
</body>
{% endblock %}